ApiManagementSso apps
POST
/v1/mgmt/sso/idp/app/roleAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
appId?string
id?string
name?string
description?string
permissionIds?array<string>
string
roleMappings?array<string>
string
Create a role scoped to an SSO application, using a valid management key. Role permissionIds must reference permissions of the same application.
curl -X POST "https://api.descope.com/v1/mgmt/sso/idp/app/role" \ -H "Content-Type: application/json" \ -d '{}'{ "appId": "string", "id": "string", "name": "string", "description": "string", "permissionIds": [ "string" ], "roleMappings": [ "string" ]}/** * SSO application scoped role (Terraform: descope_app_role). The id is server-assigned and ignored on create. * permissionIds reference permissions of the same application, roleMappings reference project-level roles. */export interface Response {appId?: stringid?: stringname?: stringdescription?: stringpermissionIds?: string[]roleMappings?: string[]} Was this helpful?